# Generated by Django 4.0.3 on 2024-05-03 12:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ProjectAPP', '0011_remove_project_timespan'),
        ('Policies', '0036_delete_projectpolicy'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectPolicy',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('score1', models.CharField(default='NONE', max_length=30)),
                ('score2', models.CharField(default='NONE', max_length=30)),
                ('dmp_recommendation', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.dmp_tool')),
                ('kind', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Policies.policy_kind')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.project')),
                ('storage_recommendation', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.storage_tool')),
            ],
        ),
    ]
